> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.data.aviato.co/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.data.aviato.co/_mcp/server.

# Get Map

GET https://data.api.aviato.co/marketmap/get

Fetch the data for the generated market map.

Reference: https://docs.data.aviato.co/api-reference/marketmap/get-map

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `id` (string, required) — The market map ID which was returned from the generate map request.

## Response

### 200

- `targetCompany` (MarketMapTargetCompany, required)
- `status` (enum, required)
  - Allowed values: `pending`, `error`, `complete`
- `similarCompanies` (MarketMapSimilarCompanies, optional)

## Errors

### 400 Bad Request Error

- `message` (string, required)

### 500 Market Map Server Error

### 404 Market Map Not Found Error

### 401 Unauthorized Error

### 429 Rate Limit Error

### 400 Bad Request Error

- `message` (string, required)

## Types

### MarketMapTargetCompany

- `name` (string, required)
- `website` (string, optional)
- `id` (string, optional)
- `description` (string, optional)
- `logoURL` (string, optional)
- `stage` (string, optional)

### MarketMapSimilarCompanies

- `categories` (list of MarketMapCompanyCategory, required)

### MarketMapCompanyCategory

- `name` (string, required)
- `description` (string, required)
- `similarCompanies` (list of MarketMapSimilarCompany, required)

### MarketMapSimilarCompany

- `name` (string, required)
- `companyName` (string, required)
- `productName` (string, required)
- `whySimilar` (string, required)
- `companyWebsite` (string, optional)
- `companyId` (string, optional)
- `id` (string, optional)
- `description` (string, optional)
- `logoURL` (string, optional)
- `stage` (string, optional)

## Examples

**Response**

```json
{
  "targetCompany": {
    "name": "name",
    "website": "website",
    "id": "id",
    "description": "description",
    "logoURL": "logoURL",
    "stage": "stage"
  },
  "status": "pending",
  "similarCompanies": {
    "categories": [
      {
        "name": "name",
        "description": "description",
        "similarCompanies": [
          {
            "name": "name",
            "companyName": "companyName",
            "productName": "productName",
            "whySimilar": "whySimilar",
            "companyWebsite": "companyWebsite",
            "companyId": "companyId",
            "id": "id",
            "description": "description",
            "logoURL": "logoURL",
            "stage": "stage"
          },
          {
            "name": "name",
            "companyName": "companyName",
            "productName": "productName",
            "whySimilar": "whySimilar",
            "companyWebsite": "companyWebsite",
            "companyId": "companyId",
            "id": "id",
            "description": "description",
            "logoURL": "logoURL",
            "stage": "stage"
          }
        ]
      },
      {
        "name": "name",
        "description": "description",
        "similarCompanies": [
          {
            "name": "name",
            "companyName": "companyName",
            "productName": "productName",
            "whySimilar": "whySimilar",
            "companyWebsite": "companyWebsite",
            "companyId": "companyId",
            "id": "id",
            "description": "description",
            "logoURL": "logoURL",
            "stage": "stage"
          },
          {
            "name": "name",
            "companyName": "companyName",
            "productName": "productName",
            "whySimilar": "whySimilar",
            "companyWebsite": "companyWebsite",
            "companyId": "companyId",
            "id": "id",
            "description": "description",
            "logoURL": "logoURL",
            "stage": "stage"
          }
        ]
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://data.api.aviato.co/marketmap/get"

querystring = {"id":"id"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://data.api.aviato.co/marketmap/get?id=id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://data.api.aviato.co/marketmap/get?id=id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://data.api.aviato.co/marketmap/get?id=id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://data.api.aviato.co/marketmap/get?id=id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://data.api.aviato.co/marketmap/get?id=id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://data.api.aviato.co/marketmap/get?id=id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://data.api.aviato.co/marketmap/get?id=id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```